Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.network
Class FMLNetworkHandler

    java.lang.Object
      cpw.mods.fml.common.network.FMLNetworkHandler

    public class FMLNetworkHandler

extends Object

Constructor Summary
`FMLNetworkHandler()`

Method Summary
`void` | `bindNetworkId(String key, Integer value)`
`static InetAddress` | `computeLocalHost()`
`NetworkModHandler` | `findNetworkModHandler(Object mc)`
`static int` | `getCompatibilityLevel()`
`static Packet` | `getEntitySpawningPacket(Entity entity)`
`static Packet1Login` | `getFMLFakeLoginPacket()`
`Packet250CustomPayload` | `getModListRequestPacket()`
`Map<Integer,NetworkModHandler>` | `getNetworkIdMap()`
`Set<ModContainer>` | `getNetworkModList()`
`static Packet3Chat` | `handleChatMessage(NetHandler handler, Packet3Chat chat)`
`static void` | `handleLoginPacketOnServer(NetLoginHandler handler, Packet1Login login)`
`static void` | `handlePacket131Packet(NetHandler handler, Packet131MapData mapData)`
`static void` | `handlePacket250Packet(Packet250CustomPayload packet, INetworkManager network, NetHandler handler)`
`static void` | `handlePlayerLogin(EntityPlayerMP player, NetServerHandler netHandler, INetworkManager manager)`
`static FMLNetworkHandler` | `instance()`
`static void` | `makeEntitySpawnAdjustment(int entityId, EntityPlayerMP player, int serverX, int serverY, int serverZ)`
`static void` | `onClientConnectionToIntegratedServer(NetHandler netClientHandler, MinecraftServer server, INetworkManager networkManager)`
`static void` | `onClientConnectionToRemoteServer(NetHandler netClientHandler, String server, int port, INetworkManager networkManager)`
`static void` | `onConnectionClosed(INetworkManager manager, EntityPlayer player)`
`static void` | `onConnectionEstablishedToServer(NetHandler clientHandler, INetworkManager manager, Packet1Login login)`
`static void` | `onConnectionReceivedFromClient(NetLoginHandler netLoginHandler, MinecraftServer server, SocketAddress address, String userName)`
`static void` | `openGui(EntityPlayer player, Object mod, int modGuiId, World world, int x, int y, int z)`
`boolean` | `registerNetworkMod(ModContainer container, Class<?> networkModClass, ASMDataTable asmData)`
`void` | `registerNetworkMod(NetworkModHandler handler)`
`static boolean` | `vanillaLoginPacketCompatibility()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FMLNetworkHandler

    public FMLNetworkHandler()

Method Detail

### handlePacket250Packet

    public static void handlePacket250Packet(Packet250CustomPayload packet,
                                             INetworkManager network,
                                             NetHandler handler)

### onConnectionEstablishedToServer

    public static void onConnectionEstablishedToServer(NetHandler clientHandler,
                                                       INetworkManager manager,
                                                       Packet1Login login)

### onConnectionReceivedFromClient

    public static void onConnectionReceivedFromClient(NetLoginHandler netLoginHandler,
                                                      MinecraftServer server,
                                                      SocketAddress address,
                                                      String userName)

### handleLoginPacketOnServer

    public static void handleLoginPacketOnServer(NetLoginHandler handler,
                                                 Packet1Login login)

### instance

    public static FMLNetworkHandler instance()

### getFMLFakeLoginPacket

    public static Packet1Login getFMLFakeLoginPacket()

### getModListRequestPacket

    public Packet250CustomPayload getModListRequestPacket()

### registerNetworkMod

    public void registerNetworkMod(NetworkModHandler handler)

### registerNetworkMod

    public boolean registerNetworkMod(ModContainer container,
                                      Class<?> networkModClass,
                                      ASMDataTable asmData)

### findNetworkModHandler

    public NetworkModHandler findNetworkModHandler(Object mc)

### getNetworkModList

    public Set<ModContainer> getNetworkModList()

### handlePlayerLogin

    public static void handlePlayerLogin(EntityPlayerMP player,
                                         NetServerHandler netHandler,
                                         INetworkManager manager)

### getNetworkIdMap

    public Map<Integer,NetworkModHandler> getNetworkIdMap()

### bindNetworkId

    public void bindNetworkId(String key,
                              Integer value)

### onClientConnectionToRemoteServer

    public static void onClientConnectionToRemoteServer(NetHandler netClientHandler,
                                                        String server,
                                                        int port,
                                                        INetworkManager networkManager)

### onClientConnectionToIntegratedServer

    public static void onClientConnectionToIntegratedServer(NetHandler netClientHandler,
                                                            MinecraftServer server,
                                                            INetworkManager networkManager)

### onConnectionClosed

    public static void onConnectionClosed(INetworkManager manager,
                                          EntityPlayer player)

### openGui

    public static void openGui(EntityPlayer player,
                               Object mod,
                               int modGuiId,
                               World world,
                               int x,
                               int y,
                               int z)

### getEntitySpawningPacket

    public static Packet getEntitySpawningPacket(Entity entity)

### makeEntitySpawnAdjustment

    public static void makeEntitySpawnAdjustment(int entityId,
                                                 EntityPlayerMP player,
                                                 int serverX,
                                                 int serverY,
                                                 int serverZ)

### computeLocalHost

    public static InetAddress computeLocalHost()
                                        throws IOException

  Throws:
    `IOException`

### handleChatMessage

    public static Packet3Chat handleChatMessage(NetHandler handler,
                                                Packet3Chat chat)

### handlePacket131Packet

    public static void handlePacket131Packet(NetHandler handler,
                                             Packet131MapData mapData)

### getCompatibilityLevel

    public static int getCompatibilityLevel()

### vanillaLoginPacketCompatibility

    public static boolean vanillaLoginPacketCompatibility()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD